# create\_test\_recalibration\_session

<pre class="language-python"><code class="lang-python">def create_test_recalibration_session(
  *,
  test_session: TestSession,
  feedback: str,
  test_ids: Optional[list[str]] = None,
) -> <a data-footnote-ref href="#user-content-fn-1">TestRecalibrationSession</a>
</code></pre>

If a TestSession has completed and some of the generated Tests had incorrect outcomes, you can tell Distributional that these tests should have had different results.

{% hint style="info" %}
Only applies to Tests generated by Distributional, not custom, user-defined Tests.
{% endhint %}

## Parameters

| Arguments      | Description                                                                                                        |
| -------------- | ------------------------------------------------------------------------------------------------------------------ |
| `test_session` | The TestSession the user wants to recalibrate                                                                      |
| `feedback`     | either `"PASS"` or `"FAIL"`, to redefine the Test outcomes.                                                        |
| `test_ids`     | List of Tests to apply the feedback to. If `None`, then all generated Tests will be set with the given `feedback`. |

## Returns

<table><thead><tr><th width="300">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>TestRecalibrationSession</code></td><td>The <a href="../sdk-objects/testrecalibrationsession">TestRecalibrationSession</a> object that was created. The <code>status</code> can be checked to determine when recalibration is complete.</td></tr></tbody></table>

## Limitations

{% hint style="info" %}
If some generated Tests failed when they should have passed, and some passed when they should have failed, the user will need to submit 2 separate calls, for each `feedback` result.
{% endhint %}

[^1]: [testrecalibrationsession](https://docs.dbnl.com/v0.21.x/using-distributional/python-sdk/sdk-objects/testrecalibrationsession "mention")


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dbnl.com/v0.21.x/using-distributional/python-sdk/sdk-experimental-functions/create_test_recalibration_session.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
